Skip to main content
GET
/
v0
/
pages
/
{page_id}
/
audiences
/
{audience_id}
/
messages
Get audience messages
curl --request GET \
  --url https://api.tryarchitect.com/v0/pages/{page_id}/audiences/{audience_id}/messages \
  --header 'x-api-key: <api-key>'
{
  "conversation": {
    "conversationId": "<string>",
    "audienceId": "<string>",
    "publishedMessageId": "<string>",
    "createdAt": "<string>",
    "updatedAt": "<string>"
  },
  "messages": [
    {
      "messageId": "<string>",
      "role": "user",
      "content": "<string>",
      "timestamp": 123,
      "hasSnapshot": true,
      "toolCalls": [
        {
          "id": "<string>",
          "name": "<string>",
          "status": "running",
          "arguments": {},
          "result": "<unknown>",
          "error": "<string>"
        }
      ],
      "changes": [
        {
          "changeId": "<string>",
          "field": "supplementaryContext",
          "previousValue": "<string>",
          "newValue": "<string>",
          "status": "applied"
        }
      ],
      "contentParts": [
        {
          "type": "<string>",
          "text": "<string>"
        }
      ],
      "reasoning": "<string>",
      "isInterrupted": true
    }
  ],
  "context": {
    "audienceId": "<string>",
    "pageId": "<string>",
    "currentSupplementaryContext": "<string>",
    "currentMetaTitle": "<string>",
    "currentMetaDescription": "<string>",
    "currentMetaKeywords": "<string>",
    "pageContext": "<string>"
  },
  "pendingChanges": [
    {
      "changeId": "<string>",
      "field": "supplementaryContext",
      "previousValue": "<string>",
      "newValue": "<string>",
      "status": "applied"
    }
  ]
}

Authorizations

x-api-key
string
header
required

API key authentication for the External Actor Gateway

Path Parameters

page_id
string
required

page_id parameter

audience_id
string
required

audience_id parameter

Response

Successful operation

conversation
object
required
messages
object[]
required
context
object
required
pendingChanges
object[]
required